Index: helpers/curl_helper.php
===================================================================
--- helpers/curl_helper.php	(revision 13375)
+++ helpers/curl_helper.php	(working copy)
@@ -96,7 +96,7 @@
 		{
 			parent::kHelper();
 
-			$this->debugMode = $this->Application->isDebugMode(false) && constOn('DBG_CURL');
+			$this->debugMode = constOn('DBG_CURL');
 		}
 
 		/**
@@ -216,6 +216,12 @@
 				safeDefine('DBG_CURL_LOGFILE', '/curl.log');
 				$this->logFilePointer = fopen(FULL_PATH.DBG_CURL_LOGFILE, 'a');
 
+				$user_id = $this->Application->RecallVar('user_id');
+				$data = $_SERVER['REMOTE_ADDR'] . ' - ['.adodb_date('D M d H:i:s Y').'] ' . $_SERVER['REQUEST_URI'] . '; user_id: '.$user_id.'; sid: '.$this->Application->GetSID();
+				fwrite($this->logFilePointer, "\n\n" . str_repeat('=', strlen($data)) . "\n");
+				fwrite($this->logFilePointer, $data);
+				fwrite($this->logFilePointer, "\n" . str_repeat('=', strlen($data)) . "\n");
+
 				curl_setopt($this->connectionID, CURLOPT_FILE, $this->logFilePointer);
 				curl_setopt($this->connectionID, CURLOPT_VERBOSE, true);
 				curl_setopt($this->connectionID, CURLOPT_STDERR, $this->logFilePointer);
@@ -251,20 +257,22 @@
 			$this->lastErrorMsg = curl_error($this->connectionID);
 			$this->lastHTTPCode = curl_getinfo($this->connectionID, CURLINFO_HTTP_CODE);
 
-			if ($this->debugMode) {
-				fwrite($this->logFilePointer, "\n".$this->lastRespoce);
-				fclose($this->logFilePointer);
+			if ($close_connection) {
+				$this->CloseConnection();
 			}
 
 			$this->_resetSettings();
-
-			if ($close_connection) {
-				$this->CloseConnection();
-			}
 		}
 
 		function CloseConnection()
 		{
 			curl_close($this->connectionID);
+
+			if ($this->debugMode) {
+				// only close log after curl resource has been terminated
+				fwrite($this->logFilePointer, "\n" . 'LastHTTPCode: ' . $this->lastHTTPCode . '; LastError: #' . $this->lastErrorCode . ' (' . $this->lastErrorMsg . ')' . "\n");
+				fwrite($this->logFilePointer, 'Respoce:' . "\n" . $this->lastRespoce);
+				fclose($this->logFilePointer);
+			}
 		}
 	}
\ No newline at end of file
